# POST /supplier-catalog

**Resource:** [Supplier Catalog](./supplier-catalog.md)  
**Scopes:** `products:write`  
**Write operation:** yes

Create a supplier product in the catalog. supplier_id and supplier_price are required.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `supplier_id` | body | uuid | yes | Supplier (customer) UUID |
| `supplier_price` | body | number | yes | Supplier price |
| `product_id` | body | uuid | no | Link to existing product UUID |
| `product_name` | body | string | no | New product name if not linking to existing |
| `supplier_sku` | body | string | no | Supplier SKU |
| `lead_time_days` | body | number | no | Lead time in days |
| `minimum_order_qty` | body | number | no | Minimum order quantity |

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`